C=====F1-COEFFICIENTS IN HFD-EQUATION=====
      REAL*8 FUNCTION RF1(K,JA,Q)
      INTEGER Q,K
      REAL*8 A,JA,AK
      RF1=0.
      AK=DFLOAT(K)
      CALL IOT3(JA,AK,JA,-0.5D+00,0.D+00,0.5D+00,A)
      RF1=DFLOAT(Q**2)*A*A/2
      RETURN
      END
